{% extends 'mainBase.html' %}

{% block head %}
<style>
      	body{
      		overflow-x: hidden;
      	}
      </style>

      <script>
      	 
      	$( document ).ready(function(){
      		var $details = $("#filters"),
    detailsPos = $details.position().top;
$(window).on("scroll", function() {
    if ($(window).scrollTop() > detailsPos){
        $details.css("position", "fixed").css("top",'60px').css("z-index",'1');

    }

    else
        $details.css("position", "static");
});
      		$(".button-collapse").sideNav();
    		$('select').material_select();


      	   $('.category').click(function(){
           		 $("#lib_back").css('background-image','url(' + this.getAttribute("sec-content") + ')');
           });
            



            /*slick slider*/
            $('.responsive').slick({
			  dots: false,
			  infinite: false,
			  speed: 300,
			  slidesToShow: 6,
			  slidesToScroll: 1,
			 
			  responsive: [
			    {
			      breakpoint: 1024,
			      settings: {
			        slidesToShow: 3,
			        slidesToScroll: 3,
			        infinite: false,
			        dots: true
			      }
			    },
			    {
			      breakpoint: 600,
			      settings: {
			        slidesToShow: 2,
			        slidesToScroll: 1

			      }
			    },
			    {
			      breakpoint: 480,
			      settings: {
			        slidesToShow: 2,
			        slidesToScroll: 1
			      }
			    }
			    // You can unslick at a given breakpoint now by adding:
			    // settings: "unslick"
			    // instead of a settings object
			  ]
			});
      	});
      </script>
      <script type="text/javascript">
            	$( document ).ready(function(){

      	$('.heart').click(function(){
var catid;
        catid = $(this).attr("data-catid");
         $.ajax({
          type:"GET",
          url: "/litwit/book/"+catid+"/addToWishlist/",
          
          success: function( data ) {
            console.log(data['status'])
  Materialize.toast(data['status'], 4000) // 4000 is the duration of the toast

            
        }
      });       
     });
      });
      </script>
      <script type="text/javascript">
            	$( document ).ready(function(){

      	$('.tick').click(function(){
var catid;
        catid = $(this).attr("data-catid");
         $.ajax({
          type:"GET",
          url: "/litwit/book/"+catid+"/addToreadList/",
          
          success: function( data ) {
            console.log(data['status'])
  Materialize.toast(data['status'], 4000) // 4000 is the duration of the toast

            
        }
      });       
     });
      });
      </script>
      
      <style>
      	body{
      		background-color: #eeeeee;
      	}
      </style>
{% endblock %}

{% block body %}
<body>
	{% include 'navbar.html' %}
	<main style="position: relative;width: 100%">
		<div style="background-color:#000;">		
			<div class="row" id="lib_back">
				<div class="col s12 input-field hide-on-med-and-up center">
					<img src="/static/images/la-ca-jc-holiday-book-guide-html-20141207-007.jpg" id="canva_img">
					<center>
					 <select class="browser-default" id="filter">
				      <option value="1" disabled selected>All</option>
				      <option value="2" style="color: #000;">Action &amp; Adventure</option>
				      <option value="3" style="color: #000;">Biographies &amp; True Accounts</option>
				      <option value="4" style="color: #000;">Children's &amp; Young Adult</option>
				       <option value="5" style="color: #000;">Crime, Thriller &amp; Mystery</option>
				      <option value="6" style="color: #000;">Fantasy, Horror &amp; Science Fiction</option>
				      <option value="7" style="color: #000;">Historical Fiction</option>
				       <option value="8" style="color: #000;">Literature &amp; Fiction</option>
				      <option value="9" style="color: #000;">Romance</option>
				      <option value="10" style="color: #000;">Travel</option>
				      <option value="11" style="color: #000;">Classics</option>
				      <option value="12" style="color: #000;">New Releases</option>
				    </select>
				</center>
				</div>
			</div>
		</div>
		<script>

			var image = document.getElementById("canva_img");
			var imageCanvas = document.createElement('canvas');
			imageCanvas.id="some_id";
			var imageCanvasContext = imageCanvas.getContext('2d');
			var lineCanvas = document.createElement('canvas');
			var lineCanvasContext = lineCanvas.getContext('2d');
			var pointLifetime = 1000;
			var points = [];

			if (image.complete) {
			  start();
			} else {
			  image.onload = start;
			}

			/**
			 * Attaches event listeners and starts the effect.
			 */
			function start() {
			  document.addEventListener('mousemove', onMouseMove);
			  window.addEventListener('resize', resizeCanvases);
			  document.getElementById('lib_back').appendChild(imageCanvas);
			  resizeCanvases();
			  tick();
			}

			/**
			 * Records the user's cursor position.
			 *
			 * @param {!MouseEvent} event
			 */
			function onMouseMove(event) {
			  points.push({
			    time: Date.now(),
			    x: event.clientX,
			    y: event.clientY
			  });
			}

			/**
			 * Resizes both canvases to fill the window.
			 */
			function resizeCanvases() {
			  imageCanvas.width = lineCanvas.width = window.innerWidth;
			  imageCanvas.height = lineCanvas.height =430;

			  //imageCanvas.height($('#lib_back').height());
			}

			/**
			 * The main loop, called at ~60hz.
			 */
			function tick() {
			  // Remove old points
			  points = points.filter(function(point) {
			    var age = Date.now() - point.time;
			    return age < pointLifetime;
			  });

			  drawLineCanvas();
			  drawImageCanvas();
			  requestAnimationFrame(tick);
			}

			/**
			 * Draws a line using the recorded cursor positions.
			 *
			 * This line is used to mask the original image.
			 */
			function drawLineCanvas() {
			  var minimumLineWidth = 30;
			  var maximumLineWidth = 100;
			  var lineWidthRange = maximumLineWidth - minimumLineWidth;
			  var maximumSpeed = 50;

			  lineCanvasContext.clearRect(0, 0, lineCanvas.width, lineCanvas.height);
			  lineCanvasContext.lineCap = 'round';
			  lineCanvasContext.shadowBlur = 30;
			  lineCanvasContext.shadowColor = '#000';
			  
			  for (var i = 1; i < points.length; i++) {
			    var point = points[i];
			    var previousPoint = points[i - 1];

			    // Change line width based on speed
			    var distance = getDistanceBetween(point, previousPoint);
			    var speed = Math.max(0, Math.min(maximumSpeed, distance));
			    var percentageLineWidth = (maximumSpeed - speed) / maximumSpeed;
			    lineCanvasContext.lineWidth = minimumLineWidth + percentageLineWidth * lineWidthRange;

			    // Fade points as they age
			    var age = Date.now() - point.time;
			    var opacity = (pointLifetime - age) / pointLifetime;
			    lineCanvasContext.strokeStyle = 'rgba(0, 0, 0, ' + opacity + ')';
			    
			    lineCanvasContext.beginPath();
			    lineCanvasContext.moveTo(previousPoint.x, previousPoint.y);
			    lineCanvasContext.lineTo(point.x, point.y);
			    lineCanvasContext.stroke();
			  }
			}

			function getDistanceBetween(a, b) {
			  return Math.sqrt(Math.pow(a.x - b.x, 2) + Math.pow(a.y - b.y, 2));
			}

			/**
			 * Draws the original image, masked by the line drawn in drawLineToCanvas.
			 */
			function drawImageCanvas() {
			  // Emulate background-size: cover
			  var width = imageCanvas.width;
			  var height = 1301 / 1301 * 430;
			  
			  if (height < imageCanvas.height) {
			    width = imageCanvas.height / 430 * 1301;
			    height = imageCanvas.height;
			  }

			  imageCanvasContext.clearRect(0, 0, imageCanvas.width, imageCanvas.height);
			  imageCanvasContext.globalCompositeOperation = 'source-over';
			  imageCanvasContext.drawImage(image, 0, 0, width, height);
			  imageCanvasContext.globalCompositeOperation = 'destination-in';
			  imageCanvasContext.drawImage(lineCanvas, 0, 0);
}
		</script>

		<div class="row hide-on-small-only" style="margin-top: 0px" id="filters">
			<div class="col m1 l1 category_col z-depth-4">
				<button class="category btn" style="border-right: 4px solid #ed1651" sec-content="images/backgcool-2.jpg">All</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #ed1651" sec-content="images/package.png"> <a href="?genre=action">Action &amp; Adventure</a></button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #ed1651" sec-content="images/lib_back.png" >Biographies &amp; True Accounts</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #f36523" sec-content="images/package.png">Children's &amp; Young Adult</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #f36523" sec-content="images/lib_back.png">Crime, Thriller &amp; Mystery</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #ffca08" sec-content="images/package.png">Fantasy, Horror &amp; Science Fiction</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #ffca08" sec-content="images/lib_back.png">Historical Fiction</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #ffca08" sec-content="images/package.png">Literature &amp; Fiction</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #09bef3" sec-content="images/lib_back.png">Romance</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #09bef3" sec-content="images/package.png">Travel</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" style="border-right: 4px solid #09bef3" sec-content="images/lib_back.png">Classics</button>
			</div>
			<div class="col m1 l1 category_col z-depth-4">
				<button class="btn category" sec-content="images/package.png">New Releases</button>
			</div>

				
			
		</div>

			

		    <div class="row" style="border-bottom: 2px solid #ed1651; width: 90%">
				<div class="col s6">
					<h5>Bestsellers</h5>

				</div>
				<div class="col s6">
					<span class="right" style="padding-top: 15px"><a href="#">See All</a></span>
				</div>
			</div>
			 <div class="white">
			 <center>
			<section class="responsive slider white" style="width: 90%">

				{% for book, img, price in bestSellers %}

			    <div class="card small book_show_col">
					<div class="card-image">
					   	<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img showcase_book">
				    	<div class="overlay"></div>
		  				<button class="heart"  data-catid="{{ book.pk }}"> <img src="/static/images/heart.png" class="responsive-img"></button>
		  				<button class="tick" data-catid="{{ book.pk }}" ><img src="/static/images/right.png" class="responsive-img"></button>
					</div>
				    <div class="card-content">
				        <span class="book_title"><a href="book/{{book.pk}}">{{ book.title }}</a></span>
				       	<br>
				       	<span class="book_author">By {{ book.author }}</span>
				       	<br>
				   		<span><img src="/static/images/3star.PNG" class="ratings responsive-img"></span>
					</div>
				</div>

				{% endfor %}
			    
			  </section>
</center>
</div>

			  <div class="row" style="border-bottom: 2px solid #f36523">
				<div class="col s6">
					<h5>All Time Favourites</h5>

				</div>
				<div class="col s6">
					<span class="right" style="padding-top: 15px"><a href="#">See All</a></span>
				</div>
			</div>
		<div class="white">
				<center>
				 
			<section class="responsive slider" style="width: 90%">

				{% for book, img_url, price in latestBooks %}

			    <div class="card small book_show_col">
					<div class="card-image">
					   	<img src="{{ img_url }}" class="responsive-img showcase_book">
				    	<div class="overlay"></div>
		  				<button class="heart"><img src="/static/images/heart.png" class="responsive-img"></button>
		  				<button class="tick"><img src="/static/images/right.png" class="responsive-img"></button>
					</div>
				    <div class="card-content">
				        <span class="book_title">{{ book.title }}</span>
				       	<br>
				       	<span class="book_author">By {{ book.author }}</span>
				       	<br>
				   		<span><img src="/static/images/3star.png" class="ratings responsive-img"></span>
					</div>
				</div>

				{% endfor %}
			    
			  </section>
</center>
</div>

			  <div class="row" style="border-bottom: 2px solid #ffca08;width: 90%">
				<div class="col s6">
					<h5>Popular Authors</h5>

				</div>
				<div class="col s6">
					<span class="right" style="padding-top: 15px"><a href="#">See All</a></span>
				</div>
			</div>
			 <div class="row white" style="padding: 30px;margin-bottom: 0px;margin-top: 20px">
				 {% for author in popularAuthors %}
				<div class="col s6 m3 l2 center font_author_col valign-wrapper">
					<a href=""><img src="/static/fonts_authors/{{ author.name }}.png" class="responsive-img font_author"></a>
				</div>
				{% endfor %}
			</div> 
			
			{% if series %}
			<div class="row" style="border-bottom: 2px solid #09bef3;width: 90%">
				<div class="col s6">
					<h5>Series</h5>

				</div>
				<div class="col s6">
					<span class="right" style="padding-top: 15px"><a href="#">See All</a></span>
				</div>
			</div>
			<div class="white">
				<center>
			 
			<section class="responsive slider" style="width: 90%">

				{% for book, img in series %}

			    <div class="card small book_show_col">
					<div class="card-image">
					   	<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img showcase_book">
				    	<div class="overlay"></div>
		  				<button class="heart"><img src="images/heart.png" class="responsive-img"></button>
		  				<button class="tick"><img src="images/right.png" class="responsive-img"></button>
					</div>
				    <div class="card-content">
				        <span class="book_title">{{ book.seriesName }}</span>
				       	<br>
				       	<span class="book_author">By {{ book.seriesAuthor }}</span>
				       	<br>
				   		<span><img src="images/3star.png" class="ratings responsive-img"></span>
					</div>
				</div>  

				{% endfor %}
			    
			</section>
			</center>
			</div>
			{% endif %}
	</main>
</body>
{% endblock %}
